> ## Documentation Index
> Fetch the complete documentation index at: https://quintsecurity.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tenant

> Create a new organization (tenant). Typically called during onboarding.

<Note>
  Requires `Authorization: Bearer` header with a Supabase JWT.
</Note>

## Request Body

<ParamField body="name" type="string" required>
  Organization name.
</ParamField>

## Response

<ResponseField name="id" type="string">
  Organization UUID.
</ResponseField>

<ResponseField name="name" type="string">
  Organization name.
</ResponseField>

<ResponseField name="created_at" type="datetime">
  When the organization was created.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.quintai.dev/v1/tenant \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_SUPABASE_JWT" \
    -d '{"name": "Acme Corp"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "Acme Corp",
    "created_at": "2026-04-12T14:00:00Z"
  }
  ```
</ResponseExample>
